#include<iostream>
#define ll long long

using namespace std;

void FICA()
{
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cout.tie(NULL);

  string niska;

  cin>>niska;

    cout<<"0"<<endl;
}

int main(void)
{
    FICA();
    return 0;
}